Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-4227

1.8.5 Solaris package fails to install

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.8.5
    • Fix Version/s: 1.8.6, 1.9.3
    • Component/s: Installation
    • Security Level: Default (Default Security Scheme)
    • Labels:
      None
    • Environment:
      Solaris opennms-1.8.5.pkg

      Description

      The postinstall script fails with a problem in /opt/opennms/bin/runjava on line 116
      ret="`$JP -version 2>&1 | grep ' version "' | sed 's/^.* version \"//;s/\".*$//'`"

      which should be

      ret="`$JP -version 2>&1 | grep ' version \"' | sed 's/^.* version \"//;s/\".*$//'`"

        Attachments

          Activity

            People

            • Assignee:
              ranger Benjamin Reed
              Reporter:
              phil.stringer@manchester.ac.uk Phil Stringer
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: